<?php // Theme support

function rem_after_setup_theme() {
    
    // Custom header
    add_theme_support( 'custom-header' );
    
    // Custom logo support
    $defaults = array(
        'height'      => 100,
        'width'       => 400,
        'flex-height' => true,
        'flex-width'  => true,
        'header-text' => array('site-title', 'site-description'),
    ); 
    add_theme_support('custom-logo', $defaults);
    
    // HTML5 support
    add_theme_support('html5', array('comment-list', 'comment-form', 'search-form', 'gallery', 'caption'));
    
    // Featured images
    add_theme_support('post-thumbnails');
    
    // Title tag
    add_theme_support('title-tag');
    
    // Customize selective refresh widgets
    add_theme_support('customize-selective-refresh-widgets');
    
}
add_action('after_setup_theme', 'rem_after_setup_theme');
// End